Name:           synce-trayicon
Version:        0.15.2
Release:        0.11.20110523svn%{?dist}
Summary:        Tray icon for use with gnome and synce

Group:          Applications/Communications
# Most of the code is MIT, except for src/eggtrayicon.c (LGPLv2+)
License:        LGPLv2+
URL:            http://synce.sourceforge.net/
# generated from svn co https://synce.svn.sourceforge.net/svnroot/synce synce
Source0:        synce-trayicon-3973svn.tar.gz
Source1:        synce-trayicon.desktop

Patch0:         %{name}-libnotify.patch
Patch1:         %{name}-autoconf.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  librapi-devel >= 0.15.1
BuildRequires:  librra-devel >= 0.14
BuildRequires:  orange-devel >= 0.3.2
BuildRequires:  libgnomeui-devel
BuildRequires:  libgtop2-devel
BuildRequires:  libxml2-devel
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  perl-XML-Parser
BuildRequires:  gettext gettext-devel
BuildRequires:  glib2-devel gnet2-devel
%if 0%{fedora} < 16
BuildRequires:  hal-devel
%endif
BuildRequires:  dbus-glib-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  libnotify-devel
BuildRequires:  intltool
BuildRequires:  libudev-devel

BuildRequires: gnome-common

Requires: gnome-session

%description
%{summary}

%prep
%setup -q -n trayicon
%patch1 -p1
./autogen.sh

%if 0%{?fedora} > 14
%patch0 -p1
%endif

%build
%configure --disable-static --enable-shared \
%if 0%{?fedora} >= 16
--disable-hal-support \
%endif
--enable-udev-support
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_libdir}/synce-trayicon/modules/*la

%find_lang synce-trayicon

desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
  --vendor=fedora \
%endif
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-Fedora \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f synce-trayicon.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/synce-trayicon
%dir %{_libdir}/synce-trayicon
%dir %{_libdir}/synce-trayicon/modules
%{_libdir}/synce-trayicon/modules/*so
%{_datadir}/synce/synce_trayicon_properties.glade
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/*
%{_sysconfdir}/gconf/schemas/synce-trayicon.schemas
%{_mandir}/man1/synce-trayicon.1.gz
%{_datadir}/gnome/autostart/

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-0.11.20110523svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 16 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 0.15.2-0.9.20110523svn
- Fix FTBFS with recent gnome-common (#1107436)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-0.8.20110523svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-0.7.20110523svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 24 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.15.2-0.6.20110523svn
- Remove --vendor from desktop-file-install. https://fedorahosted.org/fesco/ticket/1077

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-0.5.20110523svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-0.4.20110523svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-0.3.20110523svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.15.2-0.2.20110523svn
- Rebuild for new libpng

* Mon May 23 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15.2-0.1.20110523
- remove hal

* Mon Feb 14 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15.1-1
- version upgrade

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 08 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15-2
- fix FTBFS (#660890) caused by libnotify

* Tue May 11 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15-1
- version upgrade

* Tue Jul 21 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.14-1
- version upgrade

* Sun Feb 08 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.13-1
- version upgrade (#457949)

* Sat Sep  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.11-2
- fix license tag

* Wed Jun 18 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11-1
- version upgrade

* Wed Dec 12 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-13
- fix #419491

* Thu Dec 06 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-12
- fix desktop file

* Tue Dec 04 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-11
- fix BR

* Fri Aug 10 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-10
- fix patch (Dave Jones)

* Fri Jul 20 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-9
- fix #248369

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.9.0-8
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-7
- FE6 rebuild

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-6
- Rebuild for Fedora Extras 5

* Wed Jan 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-5
- bump release

* Wed Dec 14 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-4
- add dist
- fix desktop file

* Tue Dec 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-3
- add desktop file

* Mon Dec 12 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-2
- fix BR

* Tue Aug 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-1
- Initial Release
